#pragma once

#include "EdgeGauge.h"


class GAUGE_API CBodyProbe :	public CEdgeGauge
{
public:
	CBodyProbe(void);
	virtual ~CBodyProbe(void);

	virtual void    Show(CDelegate* pDelegate, int mode,BOOL bForce);	 
	virtual CUCObj* Clone( CUCObj* twin) ;
	virtual BOOL    Serialize(HANDLE device, BOOL bIn );

	virtual BOOL    Create( const TCHAR* strName =NULL, UINT id = -1, int style= RV_UC_DEFAULT_STYLE) ;
	virtual RV_BOOL Inspect(int* pErrCode=NULL) ;
	 
     BOOL   GetResult(BOOL* pResult);

	 RvPoint GetCenter();

	 virtual void Reset();
protected:
	//下面的变量调用Inspect后有效 
	BOOL          m_bValid;
	BOOL          m_result;

};

